Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq:

[legend]
Collaboration diagram for DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq (void)
| _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq (CORBA::ULong maximum)
| _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq (CORBA::ULong maximum, CORBA::ULong length, DynAny **value, CORBA::Boolean release=0)
| _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq (const _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq &rhs)
_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq & | operator= (const _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq &rhs)
virtual | ~_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq (void)
TAO_Object_Manager< DynamicAny::DynAny, DynamicAny::DynAny_var > | operator[] (CORBA::ULong index) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
DynAny ** | get_buffer (CORBA::Boolean orphan=0)
const DynAny ** | get_buffer (void) const
virtual void | _shrink_buffer (CORBA::ULong nl, CORBA::ULong ol)
virtual void | _downcast (void *target, CORBA_Object *src ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA_Object * | _upcast (void *src) const
## Static Public Methods
DynAny ** | allocbuf (CORBA::ULong nelems)
void | freebuf (DynAny **buffer)

## Constructor & Destructor Documentation

DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq | ( | void |  | ) |

DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq | ( | CORBA::ULong | maximum | ) |

DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | DynAny ** | value,
|  | CORBA::Boolean | release = 0
| ) |

DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq | ( | const _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq & | rhs | ) |

DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::~_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_downcast | ( | void * | target,
|  | CORBA_Object *src | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_shrink_buffer | ( | CORBA::ULong | nl,
|  | CORBA::ULong | ol
| ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

CORBA_Object * DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::_upcast | ( | void * | src | ) | const`[virtual]`

| Reimplemented from TAO_Base_Sequence.

DynAny** DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::allocbuf | ( | CORBA::ULong | nelems | ) | `[static]`

void DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::freebuf | ( | DynAny ** | buffer | ) | `[static]`

ACE_INLINE const DynamicAny::DynAny ** DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::get_buffer | ( | void |  | ) | const

ACE_INLINE DynamicAny::DynAny ** DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq& DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::operator= | ( | const _TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq & | rhs | ) |

DynamicAny::DynAny_var DynamicAny::_TAO_Unbounded_Object_Sequence_DynamicAny_DynAnySeq::operator[] | ( | CORBA::ULong | index | ) | const

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp
- DynamicAnyC.i